ConvertWeatherData
Date: 2012-11-21

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ConvertWeatherData

    java.lang.Object
      ConvertWeatherData

    public class ConvertWeatherData

extends java.lang.Object

This program converts a weather file from .epw format for EnergyPlus to .mos format for Modelica.

To convert weather data, run this program as

          java -jar ConvertWeatherData.jar inputFile.epw

where `inputFile` is an EnergyPlus TMY3 file in the `epw` format. This will produce an `mos` file.

Constructor Summary
`ConvertWeatherData()`

Method Summary
`static java.util.ArrayList<java.lang.String>` | `convert(java.lang.String filename, java.util.ArrayList<java.lang.String> myArr)` Read and convert data from weather file in epw format
`static java.lang.String` | `getSimulationTime(int[] time)` Transfer weather time from a format in year, month, date, hour and minute to a format in seconds for simulation
`static void` | `main(java.lang.String[] args)` This method is used to transfer the weather data file from .epw format for EnergyPlus to .mos for Modelica
`static void` | `write(java.lang.String filename, java.util.ArrayList<java.lang.String> myArr)` Write converted data into .mos file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertWeatherData

    public ConvertWeatherData()

Method Detail

### getSimulationTime

    public static java.lang.String getSimulationTime(int[] time)

  Transfer weather time from a format in year, month, date, hour and minute to a format in seconds for simulation

  Parameters:
    `time` - time(year, month, day, hour, minute) in weather data file
  Returns:
    simulation time in seconds

### write

    public static void write(java.lang.String filename,
                             java.util.ArrayList<java.lang.String> myArr)
                      throws java.io.IOException

  Write converted data into .mos file

  Parameters:
    `filename` - the name of .mos weather data file
    `myArr` - array where the weather data is stored
  Throws:
    `java.io.IOException` - when problems occur during file access

### convert

    public static java.util.ArrayList<java.lang.String> convert(java.lang.String filename,
                                                                java.util.ArrayList<java.lang.String> myArr)
                                                         throws java.io.IOException

  Read and convert data from weather file in epw format

  Parameters:
    `filename` - the name of .epw weather data file
    `myArr` - the array where the weather data is stored
  Throws:
    `java.io.IOException` - when problems occur during file access

### main

    public static void main(java.lang.String[] args)

  This method is used to transfer the weather data file from .epw format for EnergyPlus to .mos for Modelica

  Parameters:
    `args` - name of .epw weather data file

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD